0
$\begingroup$

Unfortunately the Orient bone shapes add-on either downloaded from GitHub or from developer.blender.org does not work anymore for whatever reason.

I have tried to install those scripts on Blender 2.90.0 and 2.93.1, namely orient_custom_shape_V2.py and orient_custom_shape.py. But unfortunately all the script gives me same error

"Upgrade to 2.8x required".

For now I manually orient the object's origin as per the bone axis and then reshape the custom shape. But it takes a lot of time...

Q: What can I do in order to get the add-on work again?

$\endgroup$
7
  • $\begingroup$ As the error message suggests: The add-on needs to be updated to work with 2.8+ - has nothing to do with your OS rather Blender itself: wiki.blender.org/wiki/Reference/Release_Notes/2.80/Python_API/…. Please provide a link to the add-on so we do not need to search for it. Even better: file a bug report (or a request in this case) on github. $\endgroup$
    – brockmann
    Commented Jun 28, 2021 at 9:03
  • $\begingroup$ Many thanks for your quick reply, I have changed the value as "blender": (2, 80, 0) inside bl_info in the python script "orient_custom_shape_V2.py", originally it was "blender": (2, 6, 3). Now when I install this script the error "Upgrade to 2.8x required" does not come. But the goal does not fulfill, means "Orient Bone Shape" button does not come up in pose mode, nightery in view port display ->custom shape, nor in pose context menu (by pressing 'w' button in pose mode).tried all version. Links are, developer.blender.org/F207430 , github.com/scaredyfish/orient_bone_shapes $\endgroup$ Commented Jun 28, 2021 at 9:54
  • $\begingroup$ If there is a version for 2.8+ already: github.com/scaredyfish/orient_bone_shapes install it as is. You do not have to change anything. If this one is not working for whatever reason, I'd suggest file a bug report. $\endgroup$
    – brockmann
    Commented Jun 28, 2021 at 10:14
  • $\begingroup$ Thank you for your response, I have tried the script provided in the link given by you, but the same error "Upgrade to 2.8x required", Hence I have file a bug report in GitHub. Thank you for your valuable time and response. $\endgroup$ Commented Jun 28, 2021 at 10:29
  • 1
    $\begingroup$ Thank you for your help, It worked finally, The mistake, I was unzipping it and then trying to install it. But the link you provided was very helpful. I followed those steps and the option "align bone shape" come up in pose context menu. Many thanks for your valuable time and appropriate guide. The problem is resolved. $\endgroup$ Commented Jun 28, 2021 at 10:44

0

Browse other questions tagged .